Package javassist.bytecode.analysis

# Class ControlFlow.Node

java.lang.Object
javassist.bytecode.analysis.ControlFlow.Node

Enclosing class:
  `ControlFlow`

public static class ControlFlow.Node extends Object
A node of (post) dominator trees.

## Method Summary

Modifier and Type
Method
Description
`ControlFlow.Block`
`block()`
Returns the basic block indicated by this node.
`ControlFlow.Node`
`child(int n)`
Returns the n-th child of this node.
`int`
`children()`
Returns the number of the children of this node.
`ControlFlow.Node`
`parent()`
Returns the parent of this node.
`String`
`toString()`
Returns a `String` representation.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### toString

public String toString()
Returns a `String` representation.

Overrides:
  `toString` in class `Object`

### block

public ControlFlow.Block block()
Returns the basic block indicated by this node.

### parent

public ControlFlow.Node parent()
Returns the parent of this node.

### children

public int children()
Returns the number of the children of this node.

### child

public ControlFlow.Node child(int n)
Returns the n-th child of this node.

Parameters:
  `n` - an index in the array of children.